Page MenuHomePhabricator

New disk partition scheme for labs instances
Closed, ResolvedPublic

Description

Because 2G for /var is, quoting @faidon, 'bonkers'.

How about a unified min 30G /, and rest of space available via LVM? That should be enough, and we have enough disk space too.

This is an unnecessary deviation from prod (which has big enough /var, usually). Causes a lot of configuration headaches when none should be required.

Event Timeline

yuvipanda raised the priority of this task from to Needs Triage.
yuvipanda updated the task description. (Show Details)
yuvipanda added a project: Cloud-Services.
yuvipanda added subscribers: yuvipanda, faidon.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 16 2015, 10:29 AM

Let's do this for the Jessie images to start with, and then make precise / trusty images like this too.

yuvipanda set Security to None.
yuvipanda added subscribers: coren, Joe, Andrew.
yuvipanda triaged this task as Normal priority.Jan 16 2015, 12:03 PM

Would be nice to get this done soonish. I've to re-image tools-redis sooon

yuvipanda raised the priority of this task from Normal to High.Jan 20 2015, 1:25 AM

We should do this for Trusty and Precise too. I've to re-image deployment-jobrunner01 to be HAT...

gerritbot added a subscriber: gerritbot.

Change 186113 had a related patch set uploaded (by Yuvipanda):
Scrap the /var/log lvm partition; make the / 20G by default.

https://gerrit.wikimedia.org/r/186113

Patch-For-Review

Change 186113 had a related patch set uploaded (by Andrew Bogott):
Scrap the /var/log lvm partition; make the / 20G by default.

https://gerrit.wikimedia.org/r/186113

Patch-For-Review

Change 186113 merged by Andrew Bogott:
Scrap the /var/log lvm partition; make the / 20G by default.

https://gerrit.wikimedia.org/r/186113

Change 186121 had a related patch set uploaded (by Yuvipanda):
labs_vmbuilder: Remove separate /var and /var/log

https://gerrit.wikimedia.org/r/186121

Patch-For-Review

Change 186121 merged by Andrew Bogott:
labs_vmbuilder: Remove separate /var* and increase / to 19G

https://gerrit.wikimedia.org/r/186121

mmodell closed this task as Resolved.Feb 2 2015, 10:07 PM
mmodell claimed this task.
mmodell added a subscriber: mmodell.

How is this resolved? Did Andrew build the new images and make them
available via glance?

yuvipanda reopened this task as Open.Feb 3 2015, 9:31 AM

I'm building the glance images for precise and trusty atm.

yuvipanda closed this task as Resolved.Feb 3 2015, 6:11 PM

So, precise and trusty images seem to work! I've deprecated the old images and made new ones. And there was much rejoicing!